PurePerl(3)

NAME
Ogg::Vorbis::Header::PurePerl - An object-oriented interface to Ogg Vorbis information and comment fields, implemented entirely in Perl. Intended to be a drop in replacement for Ogg::Vobis::Header.

Unlike Ogg::Vorbis::Header, this module will go ahead and fill in all of the information fields as soon as you construct the object. In other words, the "new" and "load" constructors have identical behavior.

SYNOPSIS
        use Ogg::Vorbis::Header::PurePerl;
        my $ogg = Ogg::Vorbis::Header::PurePerl->new("song.ogg");
        while (my ($k, $v) = each %{$ogg->info}) {
                print "$k: $v\n";
        }
        foreach my $com ($ogg->comment_tags) {
                print "$com: $_\n" foreach $ogg->comment($com);
        }

DESCRIPTION
This module is intended to be a drop in replacement for Ogg::Vorbis::Header, implemented entirely in Perl. It provides an object-oriented interface to Ogg Vorbis information and comment fields. (NOTE: This module currently supports only read operations).

CONSTRUCTORS
Opens an Ogg Vorbis file, ensuring that it exists and is actually an Ogg Vorbis stream. This method does not actually read any of the information or comment fields, and closes the file immediately. Opens an Ogg Vorbis file, ensuring that it exists and is actually an Ogg Vorbis stream, then loads the information and comment fields. This method can also be used without a filename to load the information and fields of an already constructed instance.

INSTANCE METHODS
Returns a hashref containing information about the Ogg Vorbis file from the file's information header. Hash fields are: version, channels, rate, bitrate_upper, bitrate_nominal, bitrate_lower, bitrate_window, and length. The bitrate_window value is not currently used by the vorbis codec, and will always be -1.

The optional parameter, key, allows you to retrieve a single value from the object's hash. Returns "undef" if the key is not found. Returns an array containing the key values for the comment fields. These values can then be passed to "comment" to retrieve their values. Returns an array of comment values associated with the given key. Unimplemented. Unimplemented. Unimplemented. Unimplemented. Unimplemented. Returns the path/filename of the file the object represents.

AUTHOR
Andrew Molloy <amolloy@kaizolabs.com>

Dan Sully <daniel | at | cpan.org>

COPYRIGHT
Copyright (c) 2003, Andrew Molloy. All Rights Reserved.

Copyright (c) 2005-2008, Dan Sully. All Rights Reserved.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. A copy of this license is included with this module (LICENSE.GPL).

SEE ALSO
Ogg::Vorbis::Header, Ogg::Vorbis::Decoder